# Contributing to Upspin

Upspin is an open source project.

It is the work of many contributors. We appreciate your help!


## Filing issues

When filing an issue, make sure to answer these five questions:

1. What version of Upspin are you using?
2. What operating system and processor architecture are you using?
3. What did you do?
4. What did you expect to see?
5. What did you see instead?

Sensitive security-related issues should be reported to the private
[upspin-security@googlegroups.com](mailto:upspin-security@googlegroups.com)
mailing list.


## Contributing code

We do not use GitHub pull requests
(we use [an instance](https://upspin-review.googlesource.com/) of the
[Gerrit](https://www.gerritcodereview.com/) code review system instead).

Our code review process is the same as that used by the Go project.
Please read the Code Review section of
[Go's Contribution Guidelines](https://golang.org/doc/contribute.html#Code_review)
to learn how to send patches to Upspin.
That document covers registering with
[our Gerrit instance]((https://upspin-review.googlesource.com/)),
configuring the `git-codereview` tool,
signing a Contributor License Agreement,
and the process of creating, reviewing, and submitting changes.

Unless otherwise noted, the Upspin source files are distributed under
the BSD-style license found in the LICENSE file.


## Code of Conduct

Please note that this project is released with a [Contributor Code of Conduct](CONDUCT.md).
By participating in this project you agree to abide by its terms.

