# Upspin

![Augie](doc/images/augie.jpg)

Documentation: [upspin.io](https://upspin.io/)

## About the project

Upspin is an experimental project to build a framework for naming
and sharing files and other data securely, uniformly, and globally:
a global name system of sorts.

It is not a file system, but a set of protocols and reference
implementations that can be used to join things like file systems
and other storage services to the name space.

Performance is not a primary goal. Uniformity and security are.

Upspin is not an official Google product.


## Status

Upspin has rough edges, and is not yet suitable for non-technical users.

[![Build Status](https://travis-ci.org/upspin/upspin.svg?branch=master)](https://travis-ci.org/upspin/upspin)


## Contributing

The code repository lives at
[upspin.googlesource.com](https://upspin.googlesource.com)
and is mirrored to [GitHub](https://github.com/upspin/upspin).

Note that the Upspin project does not use GitHub pull requests, and
that we use the issue tracker for bug reports and proposals only.

See the [Contribution Guidelines](CONTRIBUTING.md)
for more information on contributing to the project.


### Reporting issues

Please report issues through
[our issue tracker](https://github.com/upspin/upspin/issues).


## Community

All Upspin users should subscribe to the
[Upspin Announcements mailing list](https://groups.google.com/forum/#!forum/upspin-announce)
to receive critical information about the project.

Use the [Upspin mailing list](https://groups.google.com/forum/#!forum/upspin)
for discussion about Upspin use and development.


### Code of Conduct

Please note that this project is released with a [Contributor Code of Conduct](CONDUCT.md).
By participating in this project you agree to abide by its terms.


The Upspin mascot is Copyright 2017 Renee French. [All Rights Reserved](doc/mascot.md).
