# Upspin

<img src="/images/augie.jpg" width="180" height="218" alt="Home"/>

When did you last...

- download a file just to upload to another device?
- download a file from one web service just to upload to another?
- make a file public just to share it with one person?
- accidentally make something visible to the wrong people?

Upspin is an attempt to address problems like these, and many more.

Upspin is in its early days, but the plan is for you to manage all your
data—even data you've stored in commercial web services—in a safe, secure,
and sharable way that makes it easy to discover what you've got and who you've
shared it with.

If you'd like to help us make that vision a reality, we'd love to have you try
out Upspin.

Upspin is an [open-source project](https://github.com/upspin/upspin) that
comprises two main design elements:

1. a set of protocols enabling secure, federated sharing using a global naming
   system; and
2. reference implementations of tools and services that demonstrate the
   capabilities.

Using these elements as building blocks, Upspin provides a global name space
for all your data and the power to expand that space to include services such
as sensors, social media, and more.

To get started, [**download the Upspin client**](/dl/) and follow the the
[**signup process**](/doc/signup.md).

## Documentation

The [Documentation](/doc/doc.md) page holds annotated links to the
rich documentation for Upsin, which includes everything from
user guides to details about the design and implemation.

## Community

Upspin is an open source project with a growing community
of users and contributors.
These resources support the open source project and
point to things such as the GitHub repository,
mailing lists, user forums, and so on.

- [The Upspin project on GitHub](https://github.com/upspin/upspin)
- [Issue tracker](https://github.com/upspin/upspin/issues)
- Official discussion forums / mailing lists:
  - [Upspin](https://groups.google.com/forum/#!forum/upspin),
    for discussion Upspin users and developers.
  - [Upspin Announcements](https://groups.google.com/forum/#!forum/upspin-announce),
    a low-traffic list for important announcements about the project;
    all Upspin users should subscribe.
- [Contribution guidelines](https://github.com/upspin/upspin/blob/master/CONTRIBUTING.md)
- [Code review](https://upspin-review.googlesource.com)
- [@UpspinProject](https://twitter.com/UpspinProject) on Twitter

## Augie

The Upspin mascot, Augie, watches over the project and its community.
The [Mascot](/doc/mascot.md) document introduces
him and includes downloadable images and usage information.
